# Algorithms-c

This subproject contains all C Code for the benchmarking. It is built with 
[ceedling](https://www.throwtheswitch.org/ceedling), a more modern build tool 
for C projects that also integrates well with the Unity framework.

## Compiler

To compile for STM32, you need to crosscompile

```
# apt install binutils-arm-none-eabi gcc-arm-none-eabi
```

Then, use your tool with an `arm-none-eabi-` prefix: `arm-none-eabi-gcc`. This 
project has been configured to use `arm-none-eabi-gcc` to compile modules and to 
"link" the object files into a static library with `arm-none-eabi-ar`.

The unit tests will be compiled with `gcc` to be ran on the host computer, not 
on the STM32.
